Update to ossim Kakadu plugin code for v7_5

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

Update to ossim Kakadu plugin code for v7_5

David Burken
All,

I just updated the ossim_plugins/kakadu plugin code in svn to work with
the latest Kakadu v7_5.

Unfortunately this is NOT backwards compatible.

Svn version of the commit is:

revision 22884

http://trac.osgeo.org/ossim/browser/trunk/ossim_plugins/kakadu

Take care,
Dave


------------------------------------------------------------------------------
Want excitement?
Manually upgrade your production database.
When you want reliability, choose Perforce
Perforce version control. Predictably reliable.
http://pubads.g.doubleclick.net/gampad/clk?id=157508191&iu=/4140/ostg.clktrk
_______________________________________________
www.ossim.org
Ossim-developer mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/ossim-developer
Reply | Threaded
Open this post in threaded view
|

Re: Update to ossim Kakadu plugin code for v7_5

James E. Hopper-2
David,
Going to Kakadu 7.x is unfortunate for those not building open source apps with OSSIM. They have changed the license for Kakadu with 7.x series that makes it unaffordable. With previous version we paid a license for corporation as a whole, but now we have to pay a per seat charge to ship apps that use Kakadu.

What we have been doing is modifying the checked in plugin to work with 6.x instead of 7.x. I would suggest you think of having two versions of the Kakadu plugin. Those of us using the 6.x version can contribute updates to keep the plugin working with changes to OSSIM.

Best jim


> On Sep 12, 2014, at 9:40 AM, David Burken <[hidden email]> wrote:
>
> All,
>
> I just updated the ossim_plugins/kakadu plugin code in svn to work with
> the latest Kakadu v7_5.
>
> Unfortunately this is NOT backwards compatible.
>
> Svn version of the commit is:
>
> revision 22884
>
> http://trac.osgeo.org/ossim/browser/trunk/ossim_plugins/kakadu
>
> Take care,
> Dave
>
>
> ------------------------------------------------------------------------------
> Want excitement?
> Manually upgrade your production database.
> When you want reliability, choose Perforce
> Perforce version control. Predictably reliable.
> http://pubads.g.doubleclick.net/gampad/clk?id=157508191&iu=/4140/ostg.clktrk
> _______________________________________________
> www.ossim.org
> Ossim-developer mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/ossim-developer

------------------------------------------------------------------------------
Want excitement?
Manually upgrade your production database.
When you want reliability, choose Perforce
Perforce version control. Predictably reliable.
http://pubads.g.doubleclick.net/gampad/clk?id=157508191&iu=/4140/ostg.clktrk
_______________________________________________
www.ossim.org
Ossim-developer mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/ossim-developer
Reply | Threaded
Open this post in threaded view
|

Re: Update to ossim Kakadu plugin code for v7_5

Andyjo
I'm in a very similar boat as Jim, because we opted a while back to not update kdu, but still want to be on the "bleeding edge" of ossim we've been forced to maintain our own branch of ossim, piecemeal picking updates to merge in to deal w/ the non-backwards compatible issues, but still have a 'sort-of' up to date ossim library.
The OpenJPEG plugin is becoming more attractive option! On that note, has anyone built it against the new OpenJPEG 2.1 release? There might be some tricks we could apply to get comparable performance...

-Andy

> On Sep 12, 2014, at 10:51 AM, "James E. Hopper" <[hidden email]> wrote:
>
> David,
> Going to Kakadu 7.x is unfortunate for those not building open source apps with OSSIM. They have changed the license for Kakadu with 7.x series that makes it unaffordable. With previous version we paid a license for corporation as a whole, but now we have to pay a per seat charge to ship apps that use Kakadu.
>
> What we have been doing is modifying the checked in plugin to work with 6.x instead of 7.x. I would suggest you think of having two versions of the Kakadu plugin. Those of us using the 6.x version can contribute updates to keep the plugin working with changes to OSSIM.
>
> Best jim
>
>
>> On Sep 12, 2014, at 9:40 AM, David Burken <[hidden email]> wrote:
>>
>> All,
>>
>> I just updated the ossim_plugins/kakadu plugin code in svn to work with
>> the latest Kakadu v7_5.
>>
>> Unfortunately this is NOT backwards compatible.
>>
>> Svn version of the commit is:
>>
>> revision 22884
>>
>> http://trac.osgeo.org/ossim/browser/trunk/ossim_plugins/kakadu
>>
>> Take care,
>> Dave
>>
>>
>> ------------------------------------------------------------------------------
>> Want excitement?
>> Manually upgrade your production database.
>> When you want reliability, choose Perforce
>> Perforce version control. Predictably reliable.
>> http://pubads.g.doubleclick.net/gampad/clk?id=157508191&iu=/4140/ostg.clktrk
>> _______________________________________________
>> www.ossim.org
>> Ossim-developer mailing list
>> [hidden email]
>> https://lists.sourceforge.net/lists/listinfo/ossim-developer
>
> ------------------------------------------------------------------------------
> Want excitement?
> Manually upgrade your production database.
> When you want reliability, choose Perforce
> Perforce version control. Predictably reliable.
> http://pubads.g.doubleclick.net/gampad/clk?id=157508191&iu=/4140/ostg.clktrk
> _______________________________________________
> www.ossim.org
> Ossim-developer mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/ossim-developer

------------------------------------------------------------------------------
Want excitement?
Manually upgrade your production database.
When you want reliability, choose Perforce
Perforce version control. Predictably reliable.
http://pubads.g.doubleclick.net/gampad/clk?id=157508191&iu=/4140/ostg.clktrk
_______________________________________________
www.ossim.org
Ossim-developer mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/ossim-developer

smime.p7s (2K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Update to ossim Kakadu plugin code for v7_5

David Burken
Sorry guys,

I would love to port the Kakadu code to OpenJPEG 2.x.  Just no time for
it.  Years ago I had the ossim_plugins/openjpeg plugin reading J2K
compressed nitf's but then was forced to go the Kakadu route.

Jim, I'd suggest keeping the plugin code in your svn for version 6.

Take care,
Dave

On 09/12/2014 11:34 AM, Andrew D. Johnson wrote:

> I'm in a very similar boat as Jim, because we opted a while back to not update kdu, but still want to be on the "bleeding edge" of ossim we've been forced to maintain our own branch of ossim, piecemeal picking updates to merge in to deal w/ the non-backwards compatible issues, but still have a 'sort-of' up to date ossim library.
> The OpenJPEG plugin is becoming more attractive option! On that note, has anyone built it against the new OpenJPEG 2.1 release? There might be some tricks we could apply to get comparable performance...
>
> -Andy
>
>> On Sep 12, 2014, at 10:51 AM, "James E. Hopper" <[hidden email]> wrote:
>>
>> David,
>> Going to Kakadu 7.x is unfortunate for those not building open source apps with OSSIM. They have changed the license for Kakadu with 7.x series that makes it unaffordable. With previous version we paid a license for corporation as a whole, but now we have to pay a per seat charge to ship apps that use Kakadu.
>>
>> What we have been doing is modifying the checked in plugin to work with 6.x instead of 7.x. I would suggest you think of having two versions of the Kakadu plugin. Those of us using the 6.x version can contribute updates to keep the plugin working with changes to OSSIM.
>>
>> Best jim
>>
>>
>>> On Sep 12, 2014, at 9:40 AM, David Burken <[hidden email]> wrote:
>>>
>>> All,
>>>
>>> I just updated the ossim_plugins/kakadu plugin code in svn to work with
>>> the latest Kakadu v7_5.
>>>
>>> Unfortunately this is NOT backwards compatible.
>>>
>>> Svn version of the commit is:
>>>
>>> revision 22884
>>>
>>> http://trac.osgeo.org/ossim/browser/trunk/ossim_plugins/kakadu
>>>
>>> Take care,
>>> Dave
>>>
>>>
>>> ------------------------------------------------------------------------------
>>> Want excitement?
>>> Manually upgrade your production database.
>>> When you want reliability, choose Perforce
>>> Perforce version control. Predictably reliable.
>>> http://pubads.g.doubleclick.net/gampad/clk?id=157508191&iu=/4140/ostg.clktrk
>>> _______________________________________________
>>> www.ossim.org
>>> Ossim-developer mailing list
>>> [hidden email]
>>> https://lists.sourceforge.net/lists/listinfo/ossim-developer
>> ------------------------------------------------------------------------------
>> Want excitement?
>> Manually upgrade your production database.
>> When you want reliability, choose Perforce
>> Perforce version control. Predictably reliable.
>> http://pubads.g.doubleclick.net/gampad/clk?id=157508191&iu=/4140/ostg.clktrk
>> _______________________________________________
>> www.ossim.org
>> Ossim-developer mailing list
>> [hidden email]
>> https://lists.sourceforge.net/lists/listinfo/ossim-developer


------------------------------------------------------------------------------
Want excitement?
Manually upgrade your production database.
When you want reliability, choose Perforce
Perforce version control. Predictably reliable.
http://pubads.g.doubleclick.net/gampad/clk?id=157508191&iu=/4140/ostg.clktrk
_______________________________________________
www.ossim.org
Ossim-developer mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/ossim-developer
Reply | Threaded
Open this post in threaded view
|

Re: Update to ossim Kakadu plugin code for v7_5

David Burken
In reply to this post by David Burken
Hi Jim,

Can you use this?  It is frozen now at 6.x.

http://trac.osgeo.org/ossim/browser/branches/v1.8.18/ossim_plugins/kakadu

We don't get too many contributions to the plugin so I'm not sure if it
makes sense for a version 6 plugin.

Dave

On 09/12/2014 12:40 PM, Hopper, Jim E. wrote:

> David, that¹s what we do, but given there are others which need it would
> it not make more sense to have an ossim svn area for the Kadaku 6 plugin
> where those of us who use it can share our updates?
>
> Best jim
>
>
> On 9/12/14 12:29 PM, "David Burken" <[hidden email]> wrote:
>
>> Sorry guys,
>>
>> I would love to port the Kakadu code to OpenJPEG 2.x.  Just no time for
>> it.  Years ago I had the ossim_plugins/openjpeg plugin reading J2K
>> compressed nitf's but then was forced to go the Kakadu route.
>>
>> Jim, I'd suggest keeping the plugin code in your svn for version 6.
>>
>> Take care,
>> Dave
>>
>> On 09/12/2014 11:34 AM, Andrew D. Johnson wrote:
>>> I'm in a very similar boat as Jim, because we opted a while back to not
>>> update kdu, but still want to be on the "bleeding edge" of ossim we've
>>> been forced to maintain our own branch of ossim, piecemeal picking
>>> updates to merge in to deal w/ the non-backwards compatible issues, but
>>> still have a 'sort-of' up to date ossim library.
>>> The OpenJPEG plugin is becoming more attractive option! On that note,
>>> has anyone built it against the new OpenJPEG 2.1 release? There might be
>>> some tricks we could apply to get comparable performance...
>>>
>>> -Andy
>>>
>>>> On Sep 12, 2014, at 10:51 AM, "James E. Hopper"
>>>> <[hidden email]> wrote:
>>>>
>>>> David,
>>>> Going to Kakadu 7.x is unfortunate for those not building open source
>>>> apps with OSSIM. They have changed the license for Kakadu with 7.x
>>>> series that makes it unaffordable. With previous version we paid a
>>>> license for corporation as a whole, but now we have to pay a per seat
>>>> charge to ship apps that use Kakadu.
>>>>
>>>> What we have been doing is modifying the checked in plugin to work
>>>> with 6.x instead of 7.x. I would suggest you think of having two
>>>> versions of the Kakadu plugin. Those of us using the 6.x version can
>>>> contribute updates to keep the plugin working with changes to OSSIM.
>>>>
>>>> Best jim
>>>>
>>>>
>>>>> On Sep 12, 2014, at 9:40 AM, David Burken <[hidden email]> wrote:
>>>>>
>>>>> All,
>>>>>
>>>>> I just updated the ossim_plugins/kakadu plugin code in svn to work
>>>>> with
>>>>> the latest Kakadu v7_5.
>>>>>
>>>>> Unfortunately this is NOT backwards compatible.
>>>>>
>>>>> Svn version of the commit is:
>>>>>
>>>>> revision 22884
>>>>>
>>>>> http://trac.osgeo.org/ossim/browser/trunk/ossim_plugins/kakadu
>>>>>
>>>>> Take care,
>>>>> Dave
>>>>>
>>>>>
>>>>>
>>>>> -----------------------------------------------------------------------
>>>>> -------
>>>>> Want excitement?
>>>>> Manually upgrade your production database.
>>>>> When you want reliability, choose Perforce
>>>>> Perforce version control. Predictably reliable.
>>>>>
>>>>> http://pubads.g.doubleclick.net/gampad/clk?id=157508191&iu=/4140/ostg.c
>>>>> lktrk
>>>>> _______________________________________________
>>>>> www.ossim.org
>>>>> Ossim-developer mailing list
>>>>> [hidden email]
>>>>> https://lists.sourceforge.net/lists/listinfo/ossim-developer
>>>> ------------------------------------------------------------------------
>>>> ------
>>>> Want excitement?
>>>> Manually upgrade your production database.
>>>> When you want reliability, choose Perforce
>>>> Perforce version control. Predictably reliable.
>>>>
>>>> http://pubads.g.doubleclick.net/gampad/clk?id=157508191&iu=/4140/ostg.cl
>>>> ktrk
>>>> _______________________________________________
>>>> www.ossim.org
>>>> Ossim-developer mailing list
>>>> [hidden email]
>>>> https://lists.sourceforge.net/lists/listinfo/ossim-developer
>>
>> --------------------------------------------------------------------------
>> ----
>> Want excitement?
>> Manually upgrade your production database.
>> When you want reliability, choose Perforce
>> Perforce version control. Predictably reliable.
>> http://pubads.g.doubleclick.net/gampad/clk?id=157508191&iu=/4140/ostg.clkt
>> rk
>> _______________________________________________
>> www.ossim.org
>> Ossim-developer mailing list
>> [hidden email]
>> https://lists.sourceforge.net/lists/listinfo/ossim-developer
>


------------------------------------------------------------------------------
Want excitement?
Manually upgrade your production database.
When you want reliability, choose Perforce
Perforce version control. Predictably reliable.
http://pubads.g.doubleclick.net/gampad/clk?id=157508191&iu=/4140/ostg.clktrk
_______________________________________________
www.ossim.org
Ossim-developer mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/ossim-developer